WindowsLive blocktype

File(s) to Download

Version history

Version 1.0.3 (2011040700) for Mahara 1.3
(7. April 2011)

  • Fix to correctly show embeddable SkyDrive Folders, Word Web App Documents and OneNote Web App Notes

Version 1.0.2 (2011020900) for Mahara 1.3
(9. February 2011)

  • Added Finnish translation, thanks to Alejandro Lopez
  • Fixed support for embedding SkyDrive Folders, thanks to Clifford Steinberg

Version 1.0.1 (2010112601) for Mahara 1.3
(26. November 2010)

  • Fixed aposthrope sign - not recognised in Hotmail Calendar's name, thanks to Mrunal
  • Fixed percent sign - not recognised in Bing Maps, thanks to Mrunal

Version 1.0.0 (2010112500) for Mahara 1.3
(25. November 2010)

  • Initial release for Mahara 1.3.x
  • Support for embedding of Microsoft Office Web Apps (documents, spreadsheets, presentations, notebooks and folders) available on SkyDrive
  • Support for embedding Hotmail Calendar
  • Support for embedding Bing Maps
  • Includes Slovenian and English language

WindowsLive in action

Details

How to embed?

Microsoft Office Web Apps

You must share you documents, before you can embed them. To share you documents:

  1. Log in to your WindowsLive account at Live.com
  2. Click Office and than Your Documents at the top menu
  3. Drag the mouse over the document that you wish to share
  4. Click Share and than Edit permissions
  5. Set document access to Everyone (public)
  6. Click Save button - your document will be listed at Shared by me section

 

Documents and Spreadsheets

  1. Drag the mouse over the document that you wish to embed
  2. Click Share and than Embed
  3. Copy the embed code from texarea
  4. Paste it to the WindowsLive blocktype

Presentations, Notebooks and Folders

  1. Drag the mouse over the document (or folder) that you wish to embed
  2. Click More than Share and than Embed
  3. Copy the embed code from texarea
  4. Paste it to the WindowsLive blocktype

Hotmail Calendar

  1. Log in to your WindowsLive account at Live.com
  2. Click Hotmail and than Calendar at the top menu
  3. Click Share link on the left upper side
  4. Click the name of the calendar that you wish to embed
  5. On Sharing settings page, click Put on your website link
  6. Customize calendar apperance and than copy embed code from textarea
  7. Paste it to the WindowsLive blocktype

Note: You can embed large or small calendar. Small calendar is limited to fixed set of values for width and height. You cannot use values other than that.

Bing Maps

  1. Open Bing Maps
  2. Find the map that you wish to embed
  3. Click on Share your map button (letter icon on right bottom side)
  4. Customize the apperance of the map and copy embed code
  5. Paste it to the WindowsLive blocktype

Comments

Deleted user
25 November 2010, 11:50 PM
Deleted user
25 November 2010, 11:51 PM
Deleted user
26 November 2010, 7:13 AM
CSteinberg
04 February 2011, 11:08 AM
Errors
04 February 2011, 11:41 AM

I am receiving error that states "This item appears to be missing."  Link points to: This item appears to be missing.

All permissions set as stated in instruct.  Please advise!

Gregor Anželj
05 February 2011, 1:12 PM
Deleted user
08 September 2011, 5:23 AM
Gregor Anželj
08 September 2011, 5:49 AM
Jeremy Briggs
01 April 2012, 10:02 PM
Gregor Anželj
02 April 2012, 1:41 AM
13 comments